/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                   Java -- bohatstv knihoven                //
//                II. opraven a rozen vydn              //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       Cti_me.txt                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2006                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.util.*;

class Cele {
  int h;

  Cele(int h) { this.h = h; }
  public String toString() { return "" + h; }
}

public class ArraysEqualsObecneObjekty {
  final static int POCET = 5;

  public static void main(String[] args) {
    Cele[] pole1 = new Cele[POCET];
    Cele[] pole2 = new Cele[POCET * 2];
    Cele[] pole3 = new Cele[POCET];
    Cele[] pole4 = new Cele[POCET];

    for (int i = 0;  i < pole1.length;  i++) {
      pole1[i] = new Cele(i);
      pole4[i] = new Cele(i);
    }
    
    System.arraycopy(pole1, 0, pole2, 0, pole1.length);
    System.arraycopy(pole1, 0, pole3, 0, pole1.length);

    System.out.println("Pole 1 a 2 se rovnaji: "
             + Arrays.equals(pole1, pole2));

    System.out.println("Pole 1 a 3 se rovnaji: "
             + Arrays.equals(pole1, pole3));

    System.out.println("Zmena prvku pole3");
    pole3[3].h = 123;

    System.out.println("Pole 1 a 3 se rovnaji: "
             + Arrays.equals(pole1, pole3));

    System.out.println("Pole 1 a 4 se rovnaji: "
             + Arrays.equals(pole1, pole4));
  }
}
