/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                   Java -- bohatstv knihoven                //
//                II. opraven a rozen vydn              //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       Cti_me.txt                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2006                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.util.*;

public class ArrayListKapacita {
  public static final int POKUSU = 1000000;

  public static void main(String[] args) {
    ArrayList<Integer> ar = new ArrayList<Integer>();
    long zac = System.currentTimeMillis();
    for (int i = 0;  i < POKUSU;  i++) {
      ar.add(new Integer(i));
    }
    long kon = System.currentTimeMillis();
    System.out.println("Trvani bez kapacity:      " + (kon - zac) + " [msec]");
    ar = null;
//    System.gc();

    ar = new ArrayList<Integer>(POKUSU);
    zac = System.currentTimeMillis();
    for (int i = 0;  i < POKUSU;  i++) {
      ar.add(new Integer(i));
    }
    kon = System.currentTimeMillis();
    System.out.println("Trvani s plnou kapacitou: " + (kon - zac) + " [msec]");
  }
}
