/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                   Java -- bohatstv knihoven                //
//                II. opraven a rozen vydn              //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       Cti_me.txt                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2006                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.util.*;

class Vojak implements Comparable<Vojak> {
  private int pocetHvezdicek;
  private String hodnost;
  private String typVojska;
  
  public Vojak(int pocetHvezdicek, String hodnost, String typVojska) {
    this.pocetHvezdicek = pocetHvezdicek;
    this.hodnost = hodnost;
    this.typVojska = typVojska;
  }
  
  // prirozene razeni je v armade sestupne ;-)
  public int compareTo(Vojak v) {
    return v.pocetHvezdicek - this.pocetHvezdicek;
  }
  
  public String toString() {
    return "\n" + pocetHvezdicek + " " + hodnost + " " + typVojska; 
  }
}

public class PouzitiPriorityQueue {
  public static void main(String[] args) {
    Queue<Vojak> kantyna = new PriorityQueue<Vojak>();
    kantyna.add(new Vojak(1, "major", "letectvo"));
    kantyna.add(new Vojak(3, "plukovnik", "pechota"));
    kantyna.add(new Vojak(2, "podplukovnik", "policie"));
    kantyna.add(new Vojak(3, "plukovnik", "spojari"));
    kantyna.add(new Vojak(4, "nadplukovnik", "chemici"));
    System.out.println("Fronta najednou: " + kantyna);
    
    System.out.print("\nPoradi vydeje jidel:");
    while (kantyna.isEmpty() == false) {
      System.out.print(kantyna.remove());
    }
  }
}
