/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                   Java -- bohatstv knihoven                //
//                II. opraven a rozen vydn              //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       Cti_me.txt                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2006                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.util.*;

class Hruska implements Comparable<Hruska> {
  int cena;
  Hruska(int cena) { this.cena = cena; }
  public String toString() { return "" + cena; }

   public boolean equals(Object o) {
     if (o == this)
       return true;
     if (o instanceof Hruska == false)
       return false;
     boolean stejnaCena = (cena == ((Hruska) o).cena);
     return stejnaCena;
   }

   public int hashCode() {
    return cena;
  }

  public int compareTo(Hruska h) {
    if (cena > h.cena)
      return (+1);
    else if (cena == h.cena)
      return (0);
    else
      return (-1);
  }
}

public class HruskyVSerazeneMnozine {
  public static void main(String[] args) {
    SortedSet<Hruska> st = new TreeSet<Hruska>();

    for (int i = 29;  i >= 20 ;  i--) {
      st.add(new Hruska(i));
    }
    System.out.println("Cely kosik: " + st);
    System.out.println("Nejlevnejsi hruska: " +
                       st.first());
    System.out.println("Nejdrazsi hruska: " +
                       st.last());

//    TreeSet<Hruska> pom = st.subSet(new Hruska(23),
    SortedSet<Hruska> pom = st.subSet(new Hruska(23),
                            new Hruska(26));
    System.out.println("Od 23 do 26: " + pom.size() + " " + pom);
    pom = st.headSet(new Hruska(25));
    System.out.println("Pod 25: " + pom.size() + " " + pom);
    pom = st.tailSet(new Hruska(25));
    System.out.println("Nad 25: " + pom.size() + " " + pom);
  }
}
