/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                   Java -- bohatstv knihoven                //
//                II. opraven a rozen vydn              //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       Cti_me.txt                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2006                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.util.*;

class Vaha {
  double vaha;
  Vaha(double vaha) { this.vaha = vaha; }

  public String toString() {
    return "" + vaha;
  }

  public boolean equals(Object o) {
    if (o == this)
      return true;
    if (o instanceof Vaha == false)
      return false;
    boolean stejnaVaha = (vaha == ((Vaha) o).vaha);
    return stejnaVaha;
  }

  public int hashCode() {
    return (int) vaha;
  }
}

public class UbiraniZHashMapy {
  static void naplneniMapyATisk(HashMap<String, Vaha> hm) {
    hm.clear();
    for (int i = 1;  i <= 4;  i++) {
      String jmeno = "Robot" + i;
      hm.put(jmeno, new Vaha(50 + i));
    }
    System.out.println("Mapa: " + hm);
  }
 
  public static void main(String[] args) {
    HashMap<String, Vaha> hm = new HashMap<String, Vaha>();

    naplneniMapyATisk(hm);
    Set<String> kl = hm.keySet();
    kl.remove("Robot1");
    kl.remove("Robot2");
    System.out.println("Mapa bez klicu: " + hm);
 
    naplneniMapyATisk(hm);
    Collection<Vaha> hod = hm.values();
    hod.remove(new Vaha(52));
    System.out.println("Mapa bez hodnoty: " + hm);

    naplneniMapyATisk(hm);
    for (Iterator<Map.Entry<String, Vaha>> it = hm.entrySet().iterator();  it.hasNext(); ) {
      String s = (String) it.next().getKey();
      char c = s.charAt(s.length() - 1);
      int i = Character.digit(c, 10);
      if (i % 2 == 0) {
        it.remove(); 
      }         
    }
    System.out.println("Mapa bez sudych: " + hm);
  }
}
