/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                   Java -- bohatstv knihoven                //
//                II. opraven a rozen vydn              //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       Cti_me.txt                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2006                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.util.*;

public class CteniZVlaken extends Thread {
  static ArrayList<Integer> kol;  // pouze jedna kolekce

  CteniZVlaken(String jmeno) {
    super(jmeno);
  }

  public void run() {
    for (Integer i : kol) {
      System.out.println(getName() + ": " + i);
      Thread.yield();
    }
  }

  public static void main(String[] args) {
    kol = new ArrayList<Integer>();
    for (int i = 1;  i <= 4;  i++) {
      kol.add(new Integer(i));
    }

    new CteniZVlaken("1. vlakno").start();
    new CteniZVlaken("2. vlakno").start();
  }
}
