/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                   Java -- bohatstv knihoven                //
//                II. opraven a rozen vydn              //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       Cti_me.txt                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2006                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.util.*;
import java.text.*;

public class SimpleTimeZoneLetniCas {
  public static void main(String[] args) {
    SimpleDateFormat sdf = new SimpleDateFormat("EE d. MM. yyyy");
    GregorianCalendar gc = new GregorianCalendar(2003, Calendar.JANUARY, 1);
    boolean zmena = true;

    for (int i = 1;  i < 365;  i++) {
      TimeZone tz = gc.getTimeZone();
      if (tz.inDaylightTime(gc.getTime()) == zmena) {
        GregorianCalendar gcv = (GregorianCalendar) gc.clone();
        gcv.add(Calendar.DAY_OF_YEAR, -1);  // predchozi den
        System.out.println(sdf.format(gcv.getTime()));
        zmena = !zmena;
      }
      gc.add(Calendar.DAY_OF_YEAR, 1);
    }
  }
}
