/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                   Java -- bohatstv knihoven                //
//                II. opraven a rozen vydn              //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       Cti_me.txt                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2006                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.util.*;

class Osoba implements Comparable<Osoba> {
  private int vyska;
  private double vaha;
  private String popis;

  Osoba(int vyska, double vaha, String popis) {
    this.vyska = vyska;
    this.vaha = vaha;
    this.popis = popis;
  }

/*  // jednodussi a lepsi pro "mala" cisla
  public int compareTo(Osoba os) {
    return this.vyska - os.vyska;
  }
*/
  public int compareTo(Osoba os) {
    if (this.vyska > os.vyska)
      return +1;
    else if (this.vyska == os.vyska)
      return 0;
    else
      return -1;
  }

  public String toString() {
    return "vy = " + vyska + ", va = " + vaha + ", " + popis ;
  }
}

public class ArraysPrirozeneRazeniObecnychObjektu {
  static Osoba[] poleOsob;

  public static void main(String[] args) {
    poleOsob = new Osoba[4];
    poleOsob[0] = new Osoba(186, 82.5, "muz");
    poleOsob[1] = new Osoba(172, 63.0, "zena");
    poleOsob[2] = new Osoba(105, 26.1, "dite");
    poleOsob[3] = new Osoba(116, 80.5, "obezni trpaslik");

    Arrays.sort(poleOsob);

    for (int i = 0;  i < poleOsob.length;  i++) {
      System.out.println("[" + i + "] " + poleOsob[i]);
//      System.out.println("[" + i + "] " + poleOsob[i].toString());
    }
  }
}
