/////////////////////////////////////////////////////////////////
//                                                             //
// Tento zdrojov kd je soust distribuce balku program,  //
//     poskytovanch jako doplujc informace ke knize        //
//                                                             //
//                   Java -- bohatstv knihoven                //
//                II. opraven a rozen vydn              //
//                                                             //
//     Pette si, prosm, dkladn upozornn v souboru      // 
//                       Cti_me.txt                            //
//        kter je nedlnou soust tto distribuce           //
//                                                             //
//                 (c) Pavel Herout, 2006                      // 
//                                                             //
/////////////////////////////////////////////////////////////////

import java.util.*;

public class NastaveniVMape {
  private static String[] key = {"pozadi", "popredi", "ramecek"};
  private static String[] hodDef = {"bila", "cerna", "modra"};
  private static String[] hodUziv = {null, "modra", "cervena"};

  static Map<String, String> options(String[] hodnoty) {
    Map<String, String> m = new HashMap<String, String>();
    for (int i = 0;  i < key.length;  i++) {
      if (hodnoty[i] != null) {
        m.put(key[i], hodnoty[i]);
      }
    }
    return m;
  }

  public static void main(String args[]) {
    Map<String, String> defaultNastaveni = options(hodDef);
    Map<String, String> uzivatelNastaveni = options(hodUziv);
    Map<String, String> platneNastaveni = 
                   new HashMap<String, String>(defaultNastaveni);
    platneNastaveni.putAll(uzivatelNastaveni);
    System.out.println("Default:  " + defaultNastaveni);
    System.out.println("Uzivatel: " + uzivatelNastaveni);
    System.out.println("Platne:   " + platneNastaveni);
  }
}
